PHP is amongst the most commonly used open-source web programming languages. It is exceptionally popular as it is free software, which you can use to set up responsive websites such as social networking websites, shopping portals or e-teaching sites as opposed to static HTML-based sites. A PHP module should be enabled on the web server where a PHP website is hosted so that its PHP code can be ‘decoded’. As there are no license fees for this sort of module and the language offers endless possibilities for the apps that you create, there are 100s of millions of PHP websites. Additionally, there are many PHP scripts, which you can use for your sites without having to possess any programming experience. Since there are different versions of PHP, you need to check if the same version that you used whilst setting up your site is enabled on the server too.

PHP 4 and PHP 5 Support in Website Hosting

With our Linux website hosting, you’ll be able to pick which PHP version will be enabled for your shared web hosting account, as multiple versions are supported on our servers. With only one click of the mouse, you will be able to switch between PHP 5.5, 5.4, 5.3, 5.2 and 4 and whenever a new version is unveiled in the future, we’ll include it in the Hepsia Control Panel without removing the previous versions. In this way, you’ll be able to host all the sites that you’ve created throughout the years. In stark contrast with many other web hosting companies, we won’t compel you to update such sites, because a script may be outdated, but this doesn’t automatically mean that it is insecure since you may have performed modifications to its code to fill safety loopholes. For your convenience’s sake, you will even be able to specify a different version of PHP for each single site hosted in your web hosting account.